##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

<Macro DebianBuilddHostList>

<%=
  lines = []

  scope.lookupvar('deprecated::allnodeinfo').keys.sort.each do |node|
    next unless scope.lookupvar('deprecated::allnodeinfo')[node]['purpose']
    if scope.lookupvar('deprecated::allnodeinfo')[node]['purpose'].include?('buildd')
      lines << "  # #{scope.lookupvar('deprecated::allnodeinfo')[node]['hostname'][0]}"
      scope.lookupvar('deprecated::allnodeinfo')[node]['ipHostNumber'].each do |addr|
        lines << "  Require ip #{addr}"
      end
    end
  end

  lines.join("\n")
# vim:set et:
# vim:set sts=2 ts=2:
# vim:set shiftwidth=2:
%>
</Macro>
